
QGIS Application - Bug report #2205

Symbology size field should not be limited to 4 numbers with 2 decimals

2009-12-08 12:42 AM - mlennert -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 12265

Description

Currently (as of 1.3.0) the Size field in the point layer properties symbology tab is limited to 4 numbers of which 2 decimals. There should

be no constraint whatsoever for this field as the user can have very diverse data in different orders of magnitude.

History

#1 - 2009-12-08 03:38 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

In trunk is already possible to specify sizes up to 11 numbers, 5 of them decimals.

#2 - 2011-02-02 05:03 AM - mlennert -

- Resolution deleted (invalid)

- Status changed from Closed to Feedback

Reopening this bug as in new symbology the same problem exists.

#3 - 2011-08-05 12:57 AM - mlennert -

- Operating System deleted (Debian)

- Pull Request or Patch supplied set to Yes

- Must fix changed from No to Yes

- Target version changed from Version 1.7.0 to Version 1.7.1

- Priority changed from Low to Normal

- Assignee deleted (nobody -)

A simple patch to solve this would be (for git master branch):

diff --git a/src/ui/qgssymbolv2selectordialogbase.ui b/src/ui/qgssymbolv2selecto

index 8354c02..8a3e327 100644

--- a/src/ui/qgssymbolv2selectordialogbase.ui

+++ b/src/ui/qgssymbolv2selectordialogbase.ui

@@ -149,7 +149,7 @@

          <item row="0" column="1">

           <widget class="QDoubleSpinBox" name="spinSize">

            <property name="decimals">
-            <number>2</number>

+            <number>10</number>

            </property>

            <property name="maximum">

             <double>99999.000000000000000</double>

or any larger number of this order of magnitude. I don't think that QGIS should restrict possibilities here.

Upping priority and changing must fix status as it is a real PINA for day-to-day usage...

Moritz

#4 - 2011-11-02 09:55 AM - Alban P

Hi Moritz,

I'm using QGIS v1.8 and v.1.7.1.

I would  lie to use your patch there but I don't know how to use it. May you help me if the procedure is simple ?

I also think, QGIS shouldn't restrict possibilities here...

#5 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#6 - 2011-11-18 08:27 AM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.8.0

#7 - 2011-12-25 01:26 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Fixed,

see #4217
